org.eclipse.graphiti.features.impl

## Class DefaultAddBendpointFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.DefaultAddBendpointFeature

All Implemented Interfaces:
  IAddBendpointFeature, IFeature, IFeatureProviderHolder, IDescription, IName

    public class DefaultAddBendpointFeature
    extends AbstractFeature
    implements IAddBendpointFeature

The Class DefaultAddBendpointFeature. Prefer using this default implementation over implementing interface `IAddBendpointFeature` for yourself.

### Constructor Summary

Constructors
Constructor and Description
`DefaultAddBendpointFeature(IFeatureProvider fp)` Creates a new `DefaultAddBendpointFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBendpoint(IAddBendpointContext context)` Adds a bendpoint.
`boolean` `canAddBendpoint(IAddBendpointContext context)` Checks if bendpoint can be added.
`boolean` `canExecute(IContext context)` Decides if the current feature can execute with the given context.
`void` `execute(IContext context)` Executes the current feature with the given context.
`java.lang.String` `getName()` Gets the name.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getDescription, getFeatureProvider, hasDoneChanges, isAvailable, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultAddBendpointFeature

    public DefaultAddBendpointFeature(IFeatureProvider fp)

Creates a new `DefaultAddBendpointFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canAddBendpoint

    public boolean canAddBendpoint(IAddBendpointContext context)

Description copied from interface: `IAddBendpointFeature`
Checks if bendpoint can be added.

Specified by:
  `canAddBendpoint` in interface `IAddBendpointFeature`
Parameters:
  `context` - the context
Returns:
  true, if can add bendpoint

#### addBendpoint

    public void addBendpoint(IAddBendpointContext context)

Description copied from interface: `IAddBendpointFeature`
Adds a bendpoint.

Specified by:
  `addBendpoint` in interface `IAddBendpointFeature`
Parameters:
  `context` - the context

#### canExecute

    public boolean canExecute(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### getName

    public java.lang.String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name